shuffle.hpp File Reference

## Functions

template<typename I , typename S , typename Gen = detail::default_random_engine &>
auto | ranges::shuffle (I const first, S const last, Gen &&gen=detail::get_random_engine()) -> I requires random_access_iterator< I > &&sentinel_for< S, I > &&permutable< I > &&uniform_random_bit_generator< std::remove_reference_t< Gen >> &&convertible_to< invoke_result_t< Gen &>, iter_difference_t< I >>
| function template `shuffle`
template<typename Rng , typename Gen = detail::default_random_engine &>
auto | ranges::shuffle (Rng &&rng, Gen &&rand=detail::get_random_engine()) -> safe_iterator_t< Rng > requires random_access_range< Rng > &&permutable< iterator_t< Rng >> &&uniform_random_bit_generator< std::remove_reference_t< Gen >> &&convertible_to< invoke_result_t< Gen &>, iter_difference_t< iterator_t< Rng >>>